Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.io
Class HypergraphReader

    java.lang.Object
      edu.uci.ics.jung.io.HypergraphReader

public class HypergraphReader
extends Object

Author:
  Joshua O'Madadhain

Field Summary
`protected boolean` | `as_list` If `true`, specifies that each line of input implicitly represents a list of edges, where the first token specifies one endpoint, and the subsequent tokens specify a sequence of opposite endpoints.
`protected UserDataContainer.CopyAction` | `copy_action`
`protected boolean` | `edge_first`
`static Object` | `LABEL`
`protected boolean` | `verbose`

Constructor Summary
`HypergraphReader()`
`HypergraphReader(boolean as_list, boolean edge_first, UserDataContainer.CopyAction copy_action)`

Method Summary
`Hypergraph` | `load(Reader reader)`
`void` | `setVerboseMode(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LABEL

    public static final Object LABEL

### verbose

    protected boolean verbose

### as_list

    protected boolean as_list

  If `true`, specifies that each line of input implicitly represents a list of edges, where the first token specifies one endpoint, and the subsequent tokens specify a sequence of opposite endpoints. Otherwise, each line of input represents a single edge.

### edge_first

    protected boolean edge_first

### copy_action

    protected UserDataContainer.CopyAction copy_action

Constructor Detail

### HypergraphReader

    public HypergraphReader(boolean as_list,
                            boolean edge_first,
                            UserDataContainer.CopyAction copy_action)

Parameters:
  `as_list` -
  `edge_first` -
  `copy_action` -

### HypergraphReader

    public HypergraphReader()

Method Detail

### load

    public Hypergraph load(Reader reader)
                    throws IOException

  Parameters:
    `reader` -
  Returns:
    the hypergraph represented by the reader
  Throws:
    `IOException`

### setVerboseMode

    public void setVerboseMode(boolean b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD